# Draw
TKXSDRAW
XSDRAWSTLVRML

# XSDRAWSTLVRML_DataMapIteratorOfCoordsMap Class Reference

`#include <XSDRAWSTLVRML_DataMapIteratorOfCoordsMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XSDRAWSTLVRML_DataMapIteratorOfCoordsMap ()
Standard_EXPORT | XSDRAWSTLVRML_DataMapIteratorOfCoordsMap (const XSDRAWSTLVRML_CoordsMap &aMap)
Standard_EXPORT void | Initialize (const XSDRAWSTLVRML_CoordsMap &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const TColStd_DataMapOfIntegerReal & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::XSDRAWSTLVRML_DataMapIteratorOfCoordsMap | ( |  | ) |

Standard_EXPORT XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::XSDRAWSTLVRML_DataMapIteratorOfCoordsMap | ( | const XSDRAWSTLVRML_CoordsMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::Initialize | ( | const XSDRAWSTLVRML_CoordsMap & | aMap | ) |

Standard_EXPORT const Standard_Integer& XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::Key | ( |  | ) | const

void XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::operator new | ( | size_t | size | ) | `[inline]`

void* XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TColStd_DataMapOfIntegerReal& XSDRAWSTLVRML_DataMapIteratorOfCoordsMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XSDRAWSTLVRML_DataMapIteratorOfCoordsMap.hxx